F439_CPP_TX-RX_LoRa_Project

Loading...
Searching...
No Matches
Macros | Functions
stm32f4xx_hal_conf.h File Reference
`#include "stm32f4xx_hal_rcc.h"`
`#include "stm32f4xx_hal_gpio.h"`
`#include "stm32f4xx_hal_exti.h"`
`#include "stm32f4xx_hal_dma.h"`
`#include "stm32f4xx_hal_cortex.h"`
`#include "stm32f4xx_hal_cryp.h"`
`#include "stm32f4xx_hal_flash.h"`
`#include "stm32f4xx_hal_pwr.h"`
`#include "stm32f4xx_hal_spi.h"`
`#include "stm32f4xx_hal_tim.h"`
`#include "stm32f4xx_hal_uart.h"`
Include dependency graph for stm32f4xx_hal_conf.h:

Go to the source code of this file.

## Macros
#define | HAL_MODULE_ENABLED
| This is the list of modules to be used in the HAL driver.
#define | HAL_CRYP_MODULE_ENABLED
#define | HAL_SPI_MODULE_ENABLED
#define | HAL_TIM_MODULE_ENABLED
#define | HAL_UART_MODULE_ENABLED
#define | HAL_GPIO_MODULE_ENABLED
#define | HAL_EXTI_MODULE_ENABLED
#define | HAL_DMA_MODULE_ENABLED
#define | HAL_RCC_MODULE_ENABLED
#define | HAL_FLASH_MODULE_ENABLED
#define | HAL_PWR_MODULE_ENABLED
#define | HAL_CORTEX_MODULE_ENABLED
#define | HSE_VALUE 8000000U
| Adjust the value of External High Speed oscillator (HSE) used in your application. This value is used by the RCC HAL module to compute the system frequency (when HSE is used as system clock source, directly or through the PLL).
#define | HSE_STARTUP_TIMEOUT 100U
#define | HSI_VALUE ((uint32_t)16000000U)
| Internal High Speed oscillator (HSI) value. This value is used by the RCC HAL module to compute the system frequency (when HSI is used as system clock source, directly or through the PLL).
#define | LSI_VALUE 32000U
| Internal Low Speed oscillator (LSI) value.
#define | LSE_VALUE 32768U
| External Low Speed oscillator (LSE) value.
#define | LSE_STARTUP_TIMEOUT 5000U
#define | EXTERNAL_CLOCK_VALUE 12288000U
| External clock source for I2S peripheral This value is used by the I2S HAL module to compute the I2S clock source frequency, this source is inserted directly through I2S_CKIN pad.
#define | VDD_VALUE 3300U
| This is the HAL system configuration section.
#define | TICK_INT_PRIORITY 0U
#define | USE_RTOS 0U
#define | PREFETCH_ENABLE 1U
#define | INSTRUCTION_CACHE_ENABLE 1U
#define | DATA_CACHE_ENABLE 1U
#define | USE_HAL_ADC_REGISTER_CALLBACKS 0U /* ADC register callback disabled */
#define | USE_HAL_CAN_REGISTER_CALLBACKS 0U /* CAN register callback disabled */
#define | USE_HAL_CEC_REGISTER_CALLBACKS 0U /* CEC register callback disabled */
#define | USE_HAL_CRYP_REGISTER_CALLBACKS 0U /* CRYP register callback disabled */
#define | USE_HAL_DAC_REGISTER_CALLBACKS 0U /* DAC register callback disabled */
#define | USE_HAL_DCMI_REGISTER_CALLBACKS 0U /* DCMI register callback disabled */
#define | USE_HAL_DFSDM_REGISTER_CALLBACKS 0U /* DFSDM register callback disabled */
#define | USE_HAL_DMA2D_REGISTER_CALLBACKS 0U /* DMA2D register callback disabled */
#define | USE_HAL_DSI_REGISTER_CALLBACKS 0U /* DSI register callback disabled */
#define | USE_HAL_ETH_REGISTER_CALLBACKS 0U /* ETH register callback disabled */
#define | USE_HAL_HASH_REGISTER_CALLBACKS 0U /* HASH register callback disabled */
#define | USE_HAL_HCD_REGISTER_CALLBACKS 0U /* HCD register callback disabled */
#define | USE_HAL_I2C_REGISTER_CALLBACKS 0U /* I2C register callback disabled */
#define | USE_HAL_FMPI2C_REGISTER_CALLBACKS 0U /* FMPI2C register callback disabled */
#define | USE_HAL_FMPSMBUS_REGISTER_CALLBACKS 0U /* FMPSMBUS register callback disabled */
#define | USE_HAL_I2S_REGISTER_CALLBACKS 0U /* I2S register callback disabled */
#define | USE_HAL_IRDA_REGISTER_CALLBACKS 0U /* IRDA register callback disabled */
#define | USE_HAL_LPTIM_REGISTER_CALLBACKS 0U /* LPTIM register callback disabled */
#define | USE_HAL_LTDC_REGISTER_CALLBACKS 0U /* LTDC register callback disabled */
#define | USE_HAL_MMC_REGISTER_CALLBACKS 0U /* MMC register callback disabled */
#define | USE_HAL_NAND_REGISTER_CALLBACKS 0U /* NAND register callback disabled */
#define | USE_HAL_NOR_REGISTER_CALLBACKS 0U /* NOR register callback disabled */
#define | USE_HAL_PCCARD_REGISTER_CALLBACKS 0U /* PCCARD register callback disabled */
#define | USE_HAL_PCD_REGISTER_CALLBACKS 0U /* PCD register callback disabled */
#define | USE_HAL_QSPI_REGISTER_CALLBACKS 0U /* QSPI register callback disabled */
#define | USE_HAL_RNG_REGISTER_CALLBACKS 0U /* RNG register callback disabled */
#define | USE_HAL_RTC_REGISTER_CALLBACKS 0U /* RTC register callback disabled */
#define | USE_HAL_SAI_REGISTER_CALLBACKS 0U /* SAI register callback disabled */
#define | USE_HAL_SD_REGISTER_CALLBACKS 0U /* SD register callback disabled */
#define | USE_HAL_SMARTCARD_REGISTER_CALLBACKS 0U /* SMARTCARD register callback disabled */
#define | USE_HAL_SDRAM_REGISTER_CALLBACKS 0U /* SDRAM register callback disabled */
#define | USE_HAL_SRAM_REGISTER_CALLBACKS 0U /* SRAM register callback disabled */
#define | USE_HAL_SPDIFRX_REGISTER_CALLBACKS 0U /* SPDIFRX register callback disabled */
#define | USE_HAL_SMBUS_REGISTER_CALLBACKS 0U /* SMBUS register callback disabled */
#define | USE_HAL_SPI_REGISTER_CALLBACKS 0U /* SPI register callback disabled */
#define | USE_HAL_TIM_REGISTER_CALLBACKS 0U /* TIM register callback disabled */
#define | USE_HAL_UART_REGISTER_CALLBACKS 0U /* UART register callback disabled */
#define | USE_HAL_USART_REGISTER_CALLBACKS 0U /* USART register callback disabled */
#define | USE_HAL_WWDG_REGISTER_CALLBACKS 0U /* WWDG register callback disabled */
#define | USE_FULL_ASSERT 1U
| Uncomment the line below to expanse the "assert_param" macro in the HAL drivers code.
#define | MAC_ADDR0 2U
#define | MAC_ADDR1 0U
#define | MAC_ADDR2 0U
#define | MAC_ADDR3 0U
#define | MAC_ADDR4 0U
#define | MAC_ADDR5 0U
#define | ETH_RX_BUF_SIZE ETH_MAX_PACKET_SIZE /* buffer size for receive */
#define | ETH_TX_BUF_SIZE ETH_MAX_PACKET_SIZE /* buffer size for transmit */
#define | ETH_RXBUFNB 4U /* 4 Rx buffers of size ETH_RX_BUF_SIZE */
#define | ETH_TXBUFNB 4U /* 4 Tx buffers of size ETH_TX_BUF_SIZE */
#define | DP83848_PHY_ADDRESS
#define | PHY_RESET_DELAY 0x000000FFU
#define | PHY_CONFIG_DELAY 0x00000FFFU
#define | PHY_READ_TO 0x0000FFFFU
#define | PHY_WRITE_TO 0x0000FFFFU
#define | PHY_BCR ((uint16_t)0x0000U)
#define | PHY_BSR ((uint16_t)0x0001U)
#define | PHY_RESET ((uint16_t)0x8000U)
#define | PHY_LOOPBACK ((uint16_t)0x4000U)
#define | PHY_FULLDUPLEX_100M ((uint16_t)0x2100U)
#define | PHY_HALFDUPLEX_100M ((uint16_t)0x2000U)
#define | PHY_FULLDUPLEX_10M ((uint16_t)0x0100U)
#define | PHY_HALFDUPLEX_10M ((uint16_t)0x0000U)
#define | PHY_AUTONEGOTIATION ((uint16_t)0x1000U)
#define | PHY_RESTART_AUTONEGOTIATION ((uint16_t)0x0200U)
#define | PHY_POWERDOWN ((uint16_t)0x0800U)
#define | PHY_ISOLATE ((uint16_t)0x0400U)
#define | PHY_AUTONEGO_COMPLETE ((uint16_t)0x0020U)
#define | PHY_LINKED_STATUS ((uint16_t)0x0004U)
#define | PHY_JABBER_DETECTION ((uint16_t)0x0002U)
#define | PHY_SR ((uint16_t))
#define | PHY_SPEED_STATUS ((uint16_t))
#define | PHY_DUPLEX_STATUS ((uint16_t))
#define | USE_SPI_CRC 0U
#define | assert_param(expr) ((expr) ? (void)0U : assert_failed((uint8_t *)__FILE__, __LINE__))
| Include module's header file.

## Functions
void | assert_failed (uint8_t *file, uint32_t line)

## Macro Definition Documentation

## ◆ assert_param

#define assert_param | ( |  | expr | ) | ((expr) ? (void)0U : assert_failed((uint8_t *)__FILE__, __LINE__))

Include module's header file.

The assert_param macro is used for function's parameters check.

Parameters

  expr | If expr is false, it calls assert_failed function which reports the name of the source file and the source line number of the call that failed. If expr is true, it returns no value.

Return values

  None |

## ◆ DATA_CACHE_ENABLE

#define DATA_CACHE_ENABLE 1U

## ◆ DP83848_PHY_ADDRESS

#define DP83848_PHY_ADDRESS

## ◆ ETH_RX_BUF_SIZE

#define ETH_RX_BUF_SIZE ETH_MAX_PACKET_SIZE /* buffer size for receive */

## ◆ ETH_RXBUFNB

#define ETH_RXBUFNB 4U /* 4 Rx buffers of size ETH_RX_BUF_SIZE */

## ◆ ETH_TX_BUF_SIZE

#define ETH_TX_BUF_SIZE ETH_MAX_PACKET_SIZE /* buffer size for transmit */

## ◆ ETH_TXBUFNB

#define ETH_TXBUFNB 4U /* 4 Tx buffers of size ETH_TX_BUF_SIZE */

## ◆ EXTERNAL_CLOCK_VALUE

#define EXTERNAL_CLOCK_VALUE 12288000U

External clock source for I2S peripheral This value is used by the I2S HAL module to compute the I2S clock source frequency, this source is inserted directly through I2S_CKIN pad.

Value of the External audio frequency in Hz

## ◆ HAL_CORTEX_MODULE_ENABLED

#define HAL_CORTEX_MODULE_ENABLED

## ◆ HAL_CRYP_MODULE_ENABLED

#define HAL_CRYP_MODULE_ENABLED

## ◆ HAL_DMA_MODULE_ENABLED

#define HAL_DMA_MODULE_ENABLED

## ◆ HAL_EXTI_MODULE_ENABLED

#define HAL_EXTI_MODULE_ENABLED

## ◆ HAL_FLASH_MODULE_ENABLED

#define HAL_FLASH_MODULE_ENABLED

## ◆ HAL_GPIO_MODULE_ENABLED

#define HAL_GPIO_MODULE_ENABLED

## ◆ HAL_MODULE_ENABLED

#define HAL_MODULE_ENABLED

This is the list of modules to be used in the HAL driver.

## ◆ HAL_PWR_MODULE_ENABLED

#define HAL_PWR_MODULE_ENABLED

## ◆ HAL_RCC_MODULE_ENABLED

#define HAL_RCC_MODULE_ENABLED

## ◆ HAL_SPI_MODULE_ENABLED

#define HAL_SPI_MODULE_ENABLED

## ◆ HAL_TIM_MODULE_ENABLED

#define HAL_TIM_MODULE_ENABLED

## ◆ HAL_UART_MODULE_ENABLED

#define HAL_UART_MODULE_ENABLED

## ◆ HSE_STARTUP_TIMEOUT

#define HSE_STARTUP_TIMEOUT 100U

Time out for HSE start up, in ms

## ◆ HSE_VALUE

#define HSE_VALUE 8000000U

Adjust the value of External High Speed oscillator (HSE) used in your application. This value is used by the RCC HAL module to compute the system frequency (when HSE is used as system clock source, directly or through the PLL).

Value of the External oscillator in Hz

## ◆ HSI_VALUE

#define HSI_VALUE ((uint32_t)16000000U)

Internal High Speed oscillator (HSI) value. This value is used by the RCC HAL module to compute the system frequency (when HSI is used as system clock source, directly or through the PLL).

Value of the Internal oscillator in Hz

## ◆ INSTRUCTION_CACHE_ENABLE

#define INSTRUCTION_CACHE_ENABLE 1U

## ◆ LSE_STARTUP_TIMEOUT

#define LSE_STARTUP_TIMEOUT 5000U

Time out for LSE start up, in ms

## ◆ LSE_VALUE

#define LSE_VALUE 32768U

External Low Speed oscillator (LSE) value.

< Value of the Internal Low Speed oscillator in Hz The real value may vary depending on the variations in voltage and temperature. Value of the External Low Speed oscillator in Hz

## ◆ LSI_VALUE

#define LSI_VALUE 32000U

Internal Low Speed oscillator (LSI) value.

LSI Typical Value in Hz

## ◆ MAC_ADDR0

#define MAC_ADDR0 2U

## ◆ MAC_ADDR1

#define MAC_ADDR1 0U

## ◆ MAC_ADDR2

#define MAC_ADDR2 0U

## ◆ MAC_ADDR3

#define MAC_ADDR3 0U

## ◆ MAC_ADDR4

#define MAC_ADDR4 0U

## ◆ MAC_ADDR5

#define MAC_ADDR5 0U

## ◆ PHY_AUTONEGO_COMPLETE

#define PHY_AUTONEGO_COMPLETE ((uint16_t)0x0020U)

Auto-Negotiation process completed

## ◆ PHY_AUTONEGOTIATION

#define PHY_AUTONEGOTIATION ((uint16_t)0x1000U)

Enable auto-negotiation function

## ◆ PHY_BCR

#define PHY_BCR ((uint16_t)0x0000U)

Transceiver Basic Control Register

## ◆ PHY_BSR

#define PHY_BSR ((uint16_t)0x0001U)

Transceiver Basic Status Register

## ◆ PHY_CONFIG_DELAY

#define PHY_CONFIG_DELAY 0x00000FFFU

## ◆ PHY_DUPLEX_STATUS

#define PHY_DUPLEX_STATUS ((uint16_t))

PHY Duplex mask

## ◆ PHY_FULLDUPLEX_100M

#define PHY_FULLDUPLEX_100M ((uint16_t)0x2100U)

Set the full-duplex mode at 100 Mb/s

## ◆ PHY_FULLDUPLEX_10M

#define PHY_FULLDUPLEX_10M ((uint16_t)0x0100U)

Set the full-duplex mode at 10 Mb/s

## ◆ PHY_HALFDUPLEX_100M

#define PHY_HALFDUPLEX_100M ((uint16_t)0x2000U)

Set the half-duplex mode at 100 Mb/s

## ◆ PHY_HALFDUPLEX_10M

#define PHY_HALFDUPLEX_10M ((uint16_t)0x0000U)

Set the half-duplex mode at 10 Mb/s

## ◆ PHY_ISOLATE

#define PHY_ISOLATE ((uint16_t)0x0400U)

Isolate PHY from MII

## ◆ PHY_JABBER_DETECTION

#define PHY_JABBER_DETECTION ((uint16_t)0x0002U)

Jabber condition detected

## ◆ PHY_LINKED_STATUS

#define PHY_LINKED_STATUS ((uint16_t)0x0004U)

Valid link established

## ◆ PHY_LOOPBACK

#define PHY_LOOPBACK ((uint16_t)0x4000U)

Select loop-back mode

## ◆ PHY_POWERDOWN

#define PHY_POWERDOWN ((uint16_t)0x0800U)

Select the power down mode

## ◆ PHY_READ_TO

#define PHY_READ_TO 0x0000FFFFU

## ◆ PHY_RESET

#define PHY_RESET ((uint16_t)0x8000U)

PHY Reset

## ◆ PHY_RESET_DELAY

#define PHY_RESET_DELAY 0x000000FFU

## ◆ PHY_RESTART_AUTONEGOTIATION

#define PHY_RESTART_AUTONEGOTIATION ((uint16_t)0x0200U)

Restart auto-negotiation function

## ◆ PHY_SPEED_STATUS

#define PHY_SPEED_STATUS ((uint16_t))

PHY Speed mask

## ◆ PHY_SR

#define PHY_SR ((uint16_t))

PHY status register Offset

## ◆ PHY_WRITE_TO

#define PHY_WRITE_TO 0x0000FFFFU

## ◆ PREFETCH_ENABLE

#define PREFETCH_ENABLE 1U

## ◆ TICK_INT_PRIORITY

#define TICK_INT_PRIORITY 0U

tick interrupt priority

## ◆ USE_FULL_ASSERT

#define USE_FULL_ASSERT 1U

Uncomment the line below to expanse the "assert_param" macro in the HAL drivers code.

## ◆ USE_HAL_ADC_REGISTER_CALLBACKS

#define USE_HAL_ADC_REGISTER_CALLBACKS 0U /* ADC register callback disabled */

## ◆ USE_HAL_CAN_REGISTER_CALLBACKS

#define USE_HAL_CAN_REGISTER_CALLBACKS 0U /* CAN register callback disabled */

## ◆ USE_HAL_CEC_REGISTER_CALLBACKS

#define USE_HAL_CEC_REGISTER_CALLBACKS 0U /* CEC register callback disabled */

## ◆ USE_HAL_CRYP_REGISTER_CALLBACKS

#define USE_HAL_CRYP_REGISTER_CALLBACKS 0U /* CRYP register callback disabled */

## ◆ USE_HAL_DAC_REGISTER_CALLBACKS

#define USE_HAL_DAC_REGISTER_CALLBACKS 0U /* DAC register callback disabled */

## ◆ USE_HAL_DCMI_REGISTER_CALLBACKS

#define USE_HAL_DCMI_REGISTER_CALLBACKS 0U /* DCMI register callback disabled */

## ◆ USE_HAL_DFSDM_REGISTER_CALLBACKS

#define USE_HAL_DFSDM_REGISTER_CALLBACKS 0U /* DFSDM register callback disabled */

## ◆ USE_HAL_DMA2D_REGISTER_CALLBACKS

#define USE_HAL_DMA2D_REGISTER_CALLBACKS 0U /* DMA2D register callback disabled */

## ◆ USE_HAL_DSI_REGISTER_CALLBACKS

#define USE_HAL_DSI_REGISTER_CALLBACKS 0U /* DSI register callback disabled */

## ◆ USE_HAL_ETH_REGISTER_CALLBACKS

#define USE_HAL_ETH_REGISTER_CALLBACKS 0U /* ETH register callback disabled */

## ◆ USE_HAL_FMPI2C_REGISTER_CALLBACKS

#define USE_HAL_FMPI2C_REGISTER_CALLBACKS 0U /* FMPI2C register callback disabled */

## ◆ USE_HAL_FMPSMBUS_REGISTER_CALLBACKS

#define USE_HAL_FMPSMBUS_REGISTER_CALLBACKS 0U /* FMPSMBUS register callback disabled */

## ◆ USE_HAL_HASH_REGISTER_CALLBACKS

#define USE_HAL_HASH_REGISTER_CALLBACKS 0U /* HASH register callback disabled */

## ◆ USE_HAL_HCD_REGISTER_CALLBACKS

#define USE_HAL_HCD_REGISTER_CALLBACKS 0U /* HCD register callback disabled */

## ◆ USE_HAL_I2C_REGISTER_CALLBACKS

#define USE_HAL_I2C_REGISTER_CALLBACKS 0U /* I2C register callback disabled */

## ◆ USE_HAL_I2S_REGISTER_CALLBACKS

#define USE_HAL_I2S_REGISTER_CALLBACKS 0U /* I2S register callback disabled */

## ◆ USE_HAL_IRDA_REGISTER_CALLBACKS

#define USE_HAL_IRDA_REGISTER_CALLBACKS 0U /* IRDA register callback disabled */

## ◆ USE_HAL_LPTIM_REGISTER_CALLBACKS

#define USE_HAL_LPTIM_REGISTER_CALLBACKS 0U /* LPTIM register callback disabled */

## ◆ USE_HAL_LTDC_REGISTER_CALLBACKS

#define USE_HAL_LTDC_REGISTER_CALLBACKS 0U /* LTDC register callback disabled */

## ◆ USE_HAL_MMC_REGISTER_CALLBACKS

#define USE_HAL_MMC_REGISTER_CALLBACKS 0U /* MMC register callback disabled */

## ◆ USE_HAL_NAND_REGISTER_CALLBACKS

#define USE_HAL_NAND_REGISTER_CALLBACKS 0U /* NAND register callback disabled */

## ◆ USE_HAL_NOR_REGISTER_CALLBACKS

#define USE_HAL_NOR_REGISTER_CALLBACKS 0U /* NOR register callback disabled */

## ◆ USE_HAL_PCCARD_REGISTER_CALLBACKS

#define USE_HAL_PCCARD_REGISTER_CALLBACKS 0U /* PCCARD register callback disabled */

## ◆ USE_HAL_PCD_REGISTER_CALLBACKS

#define USE_HAL_PCD_REGISTER_CALLBACKS 0U /* PCD register callback disabled */

## ◆ USE_HAL_QSPI_REGISTER_CALLBACKS

#define USE_HAL_QSPI_REGISTER_CALLBACKS 0U /* QSPI register callback disabled */

## ◆ USE_HAL_RNG_REGISTER_CALLBACKS

#define USE_HAL_RNG_REGISTER_CALLBACKS 0U /* RNG register callback disabled */

## ◆ USE_HAL_RTC_REGISTER_CALLBACKS

#define USE_HAL_RTC_REGISTER_CALLBACKS 0U /* RTC register callback disabled */

## ◆ USE_HAL_SAI_REGISTER_CALLBACKS

#define USE_HAL_SAI_REGISTER_CALLBACKS 0U /* SAI register callback disabled */

## ◆ USE_HAL_SD_REGISTER_CALLBACKS

#define USE_HAL_SD_REGISTER_CALLBACKS 0U /* SD register callback disabled */

## ◆ USE_HAL_SDRAM_REGISTER_CALLBACKS

#define USE_HAL_SDRAM_REGISTER_CALLBACKS 0U /* SDRAM register callback disabled */

## ◆ USE_HAL_SMARTCARD_REGISTER_CALLBACKS

#define USE_HAL_SMARTCARD_REGISTER_CALLBACKS 0U /* SMARTCARD register callback disabled */

## ◆ USE_HAL_SMBUS_REGISTER_CALLBACKS

#define USE_HAL_SMBUS_REGISTER_CALLBACKS 0U /* SMBUS register callback disabled */

## ◆ USE_HAL_SPDIFRX_REGISTER_CALLBACKS

#define USE_HAL_SPDIFRX_REGISTER_CALLBACKS 0U /* SPDIFRX register callback disabled */

## ◆ USE_HAL_SPI_REGISTER_CALLBACKS

#define USE_HAL_SPI_REGISTER_CALLBACKS 0U /* SPI register callback disabled */

## ◆ USE_HAL_SRAM_REGISTER_CALLBACKS

#define USE_HAL_SRAM_REGISTER_CALLBACKS 0U /* SRAM register callback disabled */

## ◆ USE_HAL_TIM_REGISTER_CALLBACKS

#define USE_HAL_TIM_REGISTER_CALLBACKS 0U /* TIM register callback disabled */

## ◆ USE_HAL_UART_REGISTER_CALLBACKS

#define USE_HAL_UART_REGISTER_CALLBACKS 0U /* UART register callback disabled */

## ◆ USE_HAL_USART_REGISTER_CALLBACKS

#define USE_HAL_USART_REGISTER_CALLBACKS 0U /* USART register callback disabled */

## ◆ USE_HAL_WWDG_REGISTER_CALLBACKS

#define USE_HAL_WWDG_REGISTER_CALLBACKS 0U /* WWDG register callback disabled */

## ◆ USE_RTOS

#define USE_RTOS 0U

## ◆ USE_SPI_CRC

#define USE_SPI_CRC 0U

## ◆ VDD_VALUE

#define VDD_VALUE 3300U

This is the HAL system configuration section.

Value of VDD in mv

## Function Documentation

## ◆ assert_failed()

void assert_failed | ( | uint8_t * | file,
|  | uint32_t | line )